[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.GetIndexAtXY

Gets the index for the item at the given client coordinates.

## Declaration

Source position: stdctrls.pp line 618

`public function TCustomListBox.GetIndexAtXY(`
`X: Integer;`
`Y: Integer`
`):Integer;`

## Arguments

`X` |  | The X client coordinate.
`Y` |  | The Y client coordinate.

## Function result

The item index, -1 if an item could not be found.

## Description

GetIndexAtXY is an Integer function used to get the ordinal position in Items for the list item at the specified coordinates. No actions are performed in the method if a handle has not been allocated for the control (the widgetset class instance). GetIndexAtXY calls the GetIndexAtXY method in the widgetset class to get the return value.